Page MenuHomePhabricator

List of permissions should not be shown for non-existent global groups
Closed, ResolvedPublic

Description

Try https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/foobar

You will get a red warning that this group does not exist. But nevertheless, you will also see a big box which would incorrectly imply that that group exists and has no permissions. The big box (i.e. the <fieldset> HTML tag) should not be shown if the group is non-existent.

Event Timeline

Huji created this task.Aug 10 2018, 9:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2018, 9:11 PM
Huji added a comment.Aug 22 2018, 8:26 PM

Should the stars align for CGI2018, I will mentor this task.

Change 456997 had a related patch set uploaded (by MR70; owner: MR70):
[mediawiki/extensions/CentralAuth@master] List of permissions should not be shown for non-existent global groups

https://gerrit.wikimedia.org/r/456997

Well, I for one find this useful. It helps you see former global groups (specially those renamed or deleted). I suggest that this be kept as it is. See, for example, https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/Cabal

@MarcoAurelio , We can hide the permission box only and let the 'group rights log' visible.

@MR70 That can work for me, certainly. Let me ask Stewards-and-global-tools as well. Thanks.

MR70 triaged this task as High priority.

Change 456997 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] List of permissions should not be shown for non-existent global groups

https://gerrit.wikimedia.org/r/456997

matmarex closed this task as Resolved.Dec 11 2018, 7:28 AM